#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys, os
import json
#-------------------------------------------------------------------------------
def mergeL2ASCL_JSON(jsonList):
	newDict = dict()
	return {i['date']: i for i in jsonList}
	
#-------------------------------------------------------------------------------
def main(argv):
	if len(sys.argv) != 2:
		print("Usage: " + argv[0] + " <directory>")
	else:
		dirList = os.listdir(argv[1])
		jsonList = list()
		for f in dirList:
#			print(f)

			with open(argv[1]+f) as ff:
				json_data = json.load(ff)
				json_data['date']=f[:f.find("_")]
				jsonList.append(json_data)
#				print(json_data)
	print(json.dumps({i['date']: i for i in jsonList}))
 
#-------------------------------------------------------------------------------
if __name__ == "__main__":
	main(sys.argv)
